local ACL = CreateFrame("FRAME", nil, UIParent)
ACL:RegisterEvent("ADDON_LOADED")
ACL:SetScript("OnEvent", function(self, event, ...) self:OnEvent(event, ...) end)

--starts here
function ACL:OnEvent(event, ...)
	if event == "ADDON_LOADED" then
		local info = ...
		if info == "Aurora_ChatLoot" then
			if not IsAddOnLoaded("FreeUI") and not IsAddOnLoaded("Aurora") then
				--get to wait
				return
			else
				self:FixFrame()
			end
		elseif info == "FreeUI" or info == "Aurora" then
			self:FixFrame()
		end
	end
end

--setup hooks and get frame elements for future tweaking
function ACL:FixFrame()
	self:UnregisterEvent("ADDON_LOADED")
	local kids = { LootHistoryFrame:GetChildren() }
	for _, child in pairs(kids) do
		--should only be one.
		if child:GetObjectType() == "Frame" then
			self.glowFrame = child
		end
	end
	
	--remember alpha
	local _, _, _, alpha = LootHistoryFrame:GetBackdropColor()
	self.frameAlpha = alpha
	
	LootHistoryFrame_FullUpdate(LootHistoryFrame)
	
	if not self.hooked then
		hooksecurefunc(ChatLoot, "ResetFrameSize", function() self:ApplyAurora() end)
		hooksecurefunc(ChatLoot, "LoadFrame", function() self:TweakAurora() end)
		self.hooked = true
	end
end

--hide elements of frame to make it look right with aurora
function ACL:TweakAurora()
	--hide bg and border
	LootHistoryFrame:SetBackdropColor(0, 0, 0, 0)
	LootHistoryFrame:SetBackdropBorderColor(0, 0, 0, 0)
	
	if self.glowFrame then
		self.glowFrame:Hide()
	end
end

--return loot window to altered aurora state (lol?)
function ACL:ApplyAurora()
	local children = {
	--	"CloseButton",
	--	"DragButton",
	--	"ResizeButton",
	--	"Divider",
	--	"LootIcon",
	--	"Label",
		"Background",
		"BorderTopLeft",
		"BorderTopRight",
		"BorderBottomRight",
		"BorderBottomLeft",
		"BorderTop",
		"BorderRight",
		"BorderBottom",
		"BorderLeft",
		}
	for _, child in pairs(children) do
		LootHistoryFrame[child]:Hide()
	end
	LootHistoryFrameScrollFrame.ScrollBarBackground:Hide()
	
	--reapply bg and border with remembered alpha
	if self.glowFrame then
		self.glowFrame:Show()
	end
	LootHistoryFrame:SetBackdropColor(0, 0, 0, self.frameAlpha or 0.5)
	LootHistoryFrame:SetBackdropBorderColor(0, 0, 0, 1)
end
